import IBIZOrderPortalComponentsWeb from '@/widgets/ibizorder/portal-components-web-portlet/portal-components-web-portlet.vue';
import IBIZAPPVIEWAppViewList from '@/widgets/ibizappview/app-view-list-portlet/app-view-list-portlet.vue';
import IBIZAPPVIEWViewChart from '@/widgets/ibizappview/view-chart-portlet/view-chart-portlet.vue';
import IBIZAPPVIEWAppViewAmount from '@/widgets/ibizappview/app-view-amount-portlet/app-view-amount-portlet.vue';
import IBIZOrderDetailPortalComponentsList5 from '@/widgets/ibizorder-detail/portal-components-list5-portlet/portal-components-list5-portlet.vue';
import IBIZOrderDetailPortalComponentsListView from '@/widgets/ibizorder-detail/portal-components-list-view-portlet/portal-components-list-view-portlet.vue';
import IBIZOrderDetailPortalComponentsList4 from '@/widgets/ibizorder-detail/portal-components-list4-portlet/portal-components-list4-portlet.vue';
import IBIZOrderDetailPortalComponentsHistogram from '@/widgets/ibizorder-detail/portal-components-histogram-portlet/portal-components-histogram-portlet.vue';
import IBIZOrderDetailPortalComponentsList3 from '@/widgets/ibizorder-detail/portal-components-list3-portlet/portal-components-list3-portlet.vue';
import IBIZOrderPortalComponentsOperation from '@/widgets/ibizorder/portal-components-operation-portlet/portal-components-operation-portlet.vue';
import IBIZOrderPortalComponentsList2 from '@/widgets/ibizorder/portal-components-list2-portlet/portal-components-list2-portlet.vue';
import IBIZOrderPortalComponentsChart from '@/widgets/ibizorder/portal-components-chart-portlet/portal-components-chart-portlet.vue';
import IBIZAPPEDITORAppExtendEditor from '@/widgets/ibizappeditor/app-extend-editor-portlet/app-extend-editor-portlet.vue';
import IBIZAPPEDITORAppEditorListView from '@/widgets/ibizappeditor/app-editor-list-view-portlet/app-editor-list-view-portlet.vue';
import IBIZAPPEDITOREditorChart from '@/widgets/ibizappeditor/editor-chart-portlet/editor-chart-portlet.vue';
import IBIZAPPEDITORAppEditorAmount from '@/widgets/ibizappeditor/app-editor-amount-portlet/app-editor-amount-portlet.vue';
import IBIZBOOKPortalComponentsList from '@/widgets/ibizbook/portal-components-list-portlet/portal-components-list-portlet.vue';
import IBIZBOOKPortalComponentsView from '@/widgets/ibizbook/portal-components-view-portlet/portal-components-view-portlet.vue';
import IBIZAPPCTRLAppCtrlListView from '@/widgets/ibizappctrl/app-ctrl-list-view-portlet/app-ctrl-list-view-portlet.vue';
import IBIZAPPCTRLCtrlChart from '@/widgets/ibizappctrl/ctrl-chart-portlet/ctrl-chart-portlet.vue';
import IBIZAPPCTRLAppCtrlAmount from '@/widgets/ibizappctrl/app-ctrl-amount-portlet/app-ctrl-amount-portlet.vue';

export const  PortletComponent = {
    install(v: any, opt: any) {
        v.component('app-ibizbook-portal-components-list-portlet', IBIZBOOKPortalComponentsList);
        v.component('app-ibizbook-portal-components-view-portlet', IBIZBOOKPortalComponentsView);
        v.component('app-ibizappeditor-app-editor-list-view-portlet', IBIZAPPEDITORAppEditorListView);
        v.component('app-ibizappeditor-editor-chart-portlet', IBIZAPPEDITOREditorChart);
        v.component('app-ibizappview-app-view-list-portlet', IBIZAPPVIEWAppViewList);
        v.component('app-ibizappview-view-chart-portlet', IBIZAPPVIEWViewChart);
        v.component('app-ibizorder-portal-components-list2-portlet', IBIZOrderPortalComponentsList2);
        v.component('app-ibizorder-portal-components-chart-portlet', IBIZOrderPortalComponentsChart);
        v.component('app-ibizorder-detail-portal-components-list-view-portlet', IBIZOrderDetailPortalComponentsListView);
        v.component('app-ibizorder-detail-portal-components-histogram-portlet', IBIZOrderDetailPortalComponentsHistogram);
        v.component('app-ibizappctrl-app-ctrl-list-view-portlet', IBIZAPPCTRLAppCtrlListView);
        v.component('app-ibizappctrl-ctrl-chart-portlet', IBIZAPPCTRLCtrlChart);
        v.component('app-ibizorder-detail-portal-components-list3-portlet', IBIZOrderDetailPortalComponentsList3);
        v.component('app-ibizorder-detail-portal-components-list5-portlet', IBIZOrderDetailPortalComponentsList5);
        v.component('app-ibizorder-detail-portal-components-list4-portlet', IBIZOrderDetailPortalComponentsList4);
        v.component('app-ibizorder-portal-components-operation-portlet', IBIZOrderPortalComponentsOperation);
        v.component('app-ibizorder-portal-components-web-portlet', IBIZOrderPortalComponentsWeb);
        v.component('app-ibizappview-app-view-amount-portlet', IBIZAPPVIEWAppViewAmount);
        v.component('app-ibizappctrl-app-ctrl-amount-portlet', IBIZAPPCTRLAppCtrlAmount);
        v.component('app-ibizappeditor-app-editor-amount-portlet', IBIZAPPEDITORAppEditorAmount);
        v.component('app-ibizappeditor-app-extend-editor-portlet', IBIZAPPEDITORAppExtendEditor);
        v.component('ibizappview-app-view-list-portlet', IBIZAPPVIEWAppViewList);
        v.component('ibizappview-view-chart-portlet', IBIZAPPVIEWViewChart);
        v.component('ibizappview-app-view-amount-portlet', IBIZAPPVIEWAppViewAmount);
        v.component('ibizorder-detail-portal-components-list5-portlet', IBIZOrderDetailPortalComponentsList5);
        v.component('ibizorder-detail-portal-components-list-view-portlet', IBIZOrderDetailPortalComponentsListView);
        v.component('ibizorder-detail-portal-components-list4-portlet', IBIZOrderDetailPortalComponentsList4);
        v.component('ibizorder-detail-portal-components-histogram-portlet', IBIZOrderDetailPortalComponentsHistogram);
        v.component('ibizorder-detail-portal-components-list3-portlet', IBIZOrderDetailPortalComponentsList3);
        v.component('ibizorder-portal-components-operation-portlet', IBIZOrderPortalComponentsOperation);
        v.component('ibizorder-portal-components-list2-portlet', IBIZOrderPortalComponentsList2);
        v.component('ibizorder-portal-components-chart-portlet', IBIZOrderPortalComponentsChart);
        v.component('ibizappeditor-app-extend-editor-portlet', IBIZAPPEDITORAppExtendEditor);
        v.component('ibizappeditor-app-editor-list-view-portlet', IBIZAPPEDITORAppEditorListView);
        v.component('ibizappeditor-editor-chart-portlet', IBIZAPPEDITOREditorChart);
        v.component('ibizappeditor-app-editor-amount-portlet', IBIZAPPEDITORAppEditorAmount);
        v.component('ibizbook-portal-components-list-portlet', IBIZBOOKPortalComponentsList);
        v.component('ibizbook-portal-components-view-portlet', IBIZBOOKPortalComponentsView);
        v.component('ibizappctrl-app-ctrl-list-view-portlet', IBIZAPPCTRLAppCtrlListView);
        v.component('ibizappctrl-ctrl-chart-portlet', IBIZAPPCTRLCtrlChart);
        v.component('ibizappctrl-app-ctrl-amount-portlet', IBIZAPPCTRLAppCtrlAmount);
    }
};